Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ttsolver
Class Test

    java.lang.Object
      ttsolver.Test

All Implemented Interfaces:
  SolutionListener

    public class Test

extends Object
implements SolutionListener

A main class for running of the solver from command line.
Usage:
java -cp ifs.jar;ttsolver.jar;log4j.jar;dom4j.jar ttsolver.Test test.properties

Version:
  1.0
Author:
  Tomáš Müller

Constructor Summary
`Test(String[] args)`

Method Summary
`void` | `bestCleared(Solution solution)` Called by the solution when method `Solution.clearBest()` is called.
`void` | `bestRestored(Solution solution)` Called by the solution when method `Solution.restoreBest()` is called.
`void` | `bestSaved(Solution solution)` Called by the solution when method `Solution.saveBest()` is called.
`void` | `getInfo(Solution solution, Dictionary info)` Called by the solution when it is asked to produce info table, see `Solution.getInfo()`.
`void` | `init(Solver solver)`
`static void` | `main(String[] args)`
`void` | `notify(Solution solution)`
`void` | `solutionUpdated(Solution solution)` Called by the solution when it is updated, see `Solution.update(double)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Test

    public Test(String[] args)

Method Detail

### init

    public void init(Solver solver)

### main

    public static void main(String[] args)

### bestCleared

    public void bestCleared(Solution solution)

  Description copied from interface: `SolutionListener`
  Called by the solution when method `Solution.clearBest()` is called.

  Specified by:
    `bestCleared` in interface `SolutionListener`
  Parameters:
    `solution` - source solution

### bestRestored

    public void bestRestored(Solution solution)

  Description copied from interface: `SolutionListener`
  Called by the solution when method `Solution.restoreBest()` is called.

  Specified by:
    `bestRestored` in interface `SolutionListener`
  Parameters:
    `solution` - source solution

### bestSaved

    public void bestSaved(Solution solution)

  Description copied from interface: `SolutionListener`
  Called by the solution when method `Solution.saveBest()` is called.

  Specified by:
    `bestSaved` in interface `SolutionListener`
  Parameters:
    `solution` - source solution

### getInfo

    public void getInfo(Solution solution,
                        Dictionary info)

  Description copied from interface: `SolutionListener`
  Called by the solution when it is asked to produce info table, see `Solution.getInfo()`. A listener can also add some its info into this table.

  Specified by:
    `getInfo` in interface `SolutionListener`
  Parameters:
    `solution` - source solution
    `info` - produced info table

### solutionUpdated

    public void solutionUpdated(Solution solution)

  Description copied from interface: `SolutionListener`
  Called by the solution when it is updated, see `Solution.update(double)`.

  Specified by:
    `solutionUpdated` in interface `SolutionListener`
  Parameters:
    `solution` - source solution

### notify

    public void notify(Solution solution)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller